diff --git a/src/backend/utils/adt/pg_locale.c b/src/backend/utils/adt/pg_locale.c
index 36f7027..e45a215 100644
--- a/src/backend/utils/adt/pg_locale.c
+++ b/src/backend/utils/adt/pg_locale.c
@@ -1554,7 +1554,9 @@ get_collation_actual_version(char collprovider, const char *collcollate)
 					(errmsg("could not get collation version for locale \"%s\": error code %lu",
 							collcollate,
 							GetLastError())));
-		collversion = psprintf("%x,%x", version.dwNLSVersion, version.dwDefinedVersion);
+		collversion = psprintf("%d.%d,%d.%d",
+							   (version.dwNLSVersion >> 8) & 0x0000FFFF, version.dwNLSVersion & 0x000000FF,
+							   (version.dwDefinedVersion >> 8) & 0x0000FFFF, version.dwDefinedVersion & 0x000000FF);
 #endif
 	}
 
